#include "alist.h"
#include "config.h"
#include "cdbslib.h"
#include "loadfile.h"
#include "reffile.h"
#include "uniqname.h"

/* RENAMABLE -- Check to see if a table containing image names is renamable
 *
 * i: newlist	new names associated with old file names
 * i: ref	table desciptor
 */

int renamable (alist *newlist, reffile *ref) 
{
    char	fname[SZ_FNAME+1], altname[SZ_FNAME+1];
    int		status, irow;

    /* A table is renamable if the files mentioned in it can be accessed */

    status = YES;
    if (get_body_reffile (ref, "HEADER_FILE", 0, fname, SZ_FNAME) == OK) {
        for (irow = 0; irow < nrow_reffile (ref); irow ++) {
	    get_body_reffile (ref, "HEADER_FILE", irow, fname, SZ_FNAME);
	    strlcase (fname);

	    status = access_reffile (fname, "image", "r+");

	    if (status == NO) {
	        if (getlistname (newlist, fname, altname, SZ_FNAME) == OK)
		    status = access_reffile (altname, "image", "r+");
	    }

	    if (status == NO)
	        break;
	}
    }

    return (status);
}
